org.keycloak.utils

## Class MediaType

- java.lang.Object
- - org.keycloak.utils.MediaType

-     public class MediaType
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_FORM_URLENCODED`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_FORM_URLENCODED_TYPE`
    `static String` | `APPLICATION_JSON`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_JSON_TYPE`
    `static String` | `APPLICATION_JWT`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_JWT_TYPE`
    `static String` | `APPLICATION_XML`
    `static String` | `TEXT_HTML_UTF_8`
    `static javax.ws.rs.core.MediaType` | `TEXT_HTML_UTF_8_TYPE`
    `static javax.ws.rs.core.MediaType` | `TEXT_JAVASCRIPT_UTF_8_TYPE`
    `static String` | `TEXT_PLAIN_JAVASCRIPT`
    `static String` | `TEXT_PLAIN_UTF_8`
    `static javax.ws.rs.core.MediaType` | `TEXT_PLAIN_UTF_8_TYPE`
    `static String` | `TEXT_XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MediaType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT_HTML_UTF_8

          public static final String TEXT_HTML_UTF_8

      See Also:
        Constant Field Values

    - #### TEXT_HTML_UTF_8_TYPE

          public static final javax.ws.rs.core.MediaType TEXT_HTML_UTF_8_TYPE

    - #### TEXT_PLAIN_UTF_8

          public static final String TEXT_PLAIN_UTF_8

      See Also:
        Constant Field Values

    - #### TEXT_PLAIN_UTF_8_TYPE

          public static final javax.ws.rs.core.MediaType TEXT_PLAIN_UTF_8_TYPE

    - #### TEXT_PLAIN_JAVASCRIPT

          public static final String TEXT_PLAIN_JAVASCRIPT

      See Also:
        Constant Field Values

    - #### TEXT_JAVASCRIPT_UTF_8_TYPE

          public static final javax.ws.rs.core.MediaType TEXT_JAVASCRIPT_UTF_8_TYPE

    - #### APPLICATION_JSON

          public static final String APPLICATION_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_TYPE

          public static final javax.ws.rs.core.MediaType APPLICATION_JSON_TYPE

    - #### APPLICATION_FORM_URLENCODED

          public static final String APPLICATION_FORM_URLENCODED

      See Also:
        Constant Field Values

    - #### APPLICATION_FORM_URLENCODED_TYPE

          public static final javax.ws.rs.core.MediaType APPLICATION_FORM_URLENCODED_TYPE

    - #### APPLICATION_JWT

          public static final String APPLICATION_JWT

      See Also:
        Constant Field Values

    - #### APPLICATION_JWT_TYPE

          public static final javax.ws.rs.core.MediaType APPLICATION_JWT_TYPE

    - #### APPLICATION_XML

          public static final String APPLICATION_XML

      See Also:
        Constant Field Values

    - #### TEXT_XML

          public static final String TEXT_XML

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MediaType

          public MediaType()

Copyright © 2021 JBoss by Red Hat. All rights reserved.